| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::StructuredMesh2d3d Class Reference

2D structured mesh in 3D. Grid is 2D but it is embedded in 3D space. Type used for co-ordinates is vec3. More...

Inheritance diagram for IG::Num::StructuredMesh2d3d:
[legend]
Collaboration diagram for IG::Num::StructuredMesh2d3d:
[legend]

List of all members.

## Public Member Functions
| StructuredMesh2d3d ()
| Constructs a new empty 2D field (no elements contained) with no name and no description.
| StructuredMesh2d3d (int dim1, int dim2)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.
| StructuredMesh2d3d (int dim1, int dim2, string fieldName)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.
| StructuredMesh2d3d (int dim1, int dim2, string fieldName, string fieldDescription)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.
| StructuredMesh2d3d (int dimx, int dimy, string fieldName, string fieldDescription, double minx, double maxx, double miny, double maxy)
| Constructs a 2D regular grid in 3D on the XY plane with grid directions parallel to coordinate axes, with specified name and description. Array of elements is allocated.
| StructuredMesh2d3d (int dimx, int dimy, string fieldName, string fieldDescription, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Constructs a 2D structured grid embedded in 3D by transformation of co-ordinates of a regular equidistant grid in XY plane. Array of elements is allocated.
void | GenerateCoordinates (double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid in 3D on the XY plane with grid directions parallel to coordinate axes and equidistant nodes in all directions.
void | GenerateCoordinates (double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of the structured 2D mesh embedded in 3D for a parametric surface according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 2 variables. Coordinates are obtained by transforming individual coordinates of a regular equidistant grid lying on XY plane from the reference system.

## Detailed Description

2D structured mesh in 3D.

Grid is 2D but it is embedded in 3D space. Type used for co-ordinates is vec3.

$A Igor Jan08 Mar09 Oct11;

## Constructor & Destructor Documentation

IG::Num::StructuredMesh2d3d::StructuredMesh2d3d | ( |  | ) | `[inline]`

Constructs a new empty 2D field (no elements contained) with no name and no description.

IG::Num::StructuredMesh2d3d::StructuredMesh2d3d | ( | int | dim1,
|  | int | dim2
| ) |  | `[inline]`

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.

Parameters:

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | First dimension of the field (number of grid nodes in the first direction).

IG::Num::StructuredMesh2d3d::StructuredMesh2d3d | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName
| ) |  | `[inline]`

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.

Parameters:

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | First dimension of the field (number of grid nodes in the first direction).
  fieldName | Name of the field.

IG::Num::StructuredMesh2d3d::StructuredMesh2d3d | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. Elements of the field are arranged in a 2D structured grid.

Parameters:

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | First dimension of the field (number of grid nodes in the first direction).
  fieldName | Name of the field.
  fieldDescription | Field description.

IG::Num::StructuredMesh2d3d::StructuredMesh2d3d | ( | int | dimx,
|  | int | dimy,
|  | string | fieldName,
|  | string | fieldDescription,
|  | double | minx,
|  | double | maxx,
|  | double | miny,
|  | double | maxy
| ) |  | `[inline]`

Constructs a 2D regular grid in 3D on the XY plane with grid directions parallel to coordinate axes, with specified name and description. Array of elements is allocated.

Parameters:

  dimx | First dimension of the field (number of grid nodes in the first direction).
  dimy | Second dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.
  minx | Minimal value of x coordinate of the generated grid.
  maxx | Maximal value of x coordinate of the generated grid.
  miny | Minimal value of y coordinate of the generated grid.
  maxy | Maximal value of y coordinate of the generated grid.

IG::Num::StructuredMesh2d3d::StructuredMesh2d3d | ( | int | dimx,
|  | int | dimy,
|  | string | fieldName,
|  | string | fieldDescription,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | IFunc2d | fx,
|  | IFunc2d | fy,
|  | IFunc2d | fz
| ) |  | `[inline]`

Constructs a 2D structured grid embedded in 3D by transformation of co-ordinates of a regular equidistant grid in XY plane. Array of elements is allocated.

Parameters:

  dimx | First dimension of the field (number of grid nodes in the first direction).
  dimy | Second dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.
  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.
  fx | Function that maps first two node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps first two node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps first two node coordinates of the reference grid to the third node coordinates of the actual grid.

## Member Function Documentation

void IG::Num::StructuredMesh2d3d::GenerateCoordinates | ( | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef
| ) |  | `[inline]`

Generates coordinates of a 2D regular grid in 3D on the XY plane with grid directions parallel to coordinate axes and equidistant nodes in all directions.

Parameters:

  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.

void IG::Num::StructuredMesh2d3d::GenerateCoordinates | ( | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | IFunc2d | fx,
|  | IFunc2d | fy,
|  | IFunc2d | fz
| ) |  | `[inline]`

Generates coordinates of the structured 2D mesh embedded in 3D for a parametric surface according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 2 variables. Coordinates are obtained by transforming individual coordinates of a regular equidistant grid lying on XY plane from the reference system.

Parameters:

  minxRef | Lower bound for the first parameter in the reference coordinate system.
  maxxRef | Upper bound for the first parameter in the reference coordinate system.
  minyRef | Lower bound for the second parameter in the reference coordinate system.
  maxyRef | Upper bound for the second parameter in the reference coordinate system.
  fx | Function that maps first two node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps first two node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps first two node coordinates of the reference grid to the third node coordinates of the actual grid.

The documentation for this class was generated from the following file:

- StructuredMesh2d3d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events